---
title: BluetoothRemoteGATTServer.getPrimaryService()
slug: Web/API/BluetoothRemoteGATTServer/getPrimaryService
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTServer
  - Experimental
  - Method
  - Reference
  - Web Bluetooth API
  - getPrimaryService()
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTServer.getPrimaryService() </code></strong>method returns a promise to the primary {{domxref("BluetoothGATTService")}} offered by the bluetooth device for a specified {{domxref("BluetoothServiceUUID")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>BluetoothRemoteGATTServer</em>.getPrimaryService(<em>bluetoothServiceUUID</em>).then(function(<em>bluetoothGATTService</em>) { ... })</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} that resolves to a {{domxref("BluetoothGATTService")}} object.</p>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>BluetoothServiceUUID</code></dt>
 <dd>A Bluetooth service universally unique identifier for a specified device.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattserver-getprimaryservice", "getPrimaryService()")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTServer.getPrimaryService")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
